Bug 207113 - can not resize the LVM partiton on the same device
can not resize the LVM partiton on the same device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-19 10:33 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 07:00:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-09-19 10:33:42 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install server on hardware RAID5 with LVM
2. upgrade the Harddives in RAID5 to double size
3. resize the LVM partition
  
Actual results:



Expected results:


Additional info:
Comment 1 Need Real Name 2006-09-19 10:40:15 EDT
Hardware RAID with LVM, the Drives 200 GB
where changed up to 400 GB.
It is the same device for example /dev/hda
but now are for example 200 GB free unsued space.



Example from a Test VMWare Maschine:

fdisk -l

Disk /dev/hda: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 652 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Device Boot Start End Blocks Id System
/dev/hda1 1 17 136521 82 Linux swap / Solaris
/dev/hda2 * 18 24 56227+ 83 Linux
/dev/hda3 25 601 4634752+ 8e Linux LVM 



I know i can create from the unused space 
(in this example are 51 cylinders)
a Partition, an create the from this
partition a PV.

Disk /dev/hda: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 652 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

Device Boot Start End Blocks Id System
/dev/hda1 1 17 136521 82 Linux swap / Solaris
/dev/hda2 * 18 24 56227+ 83 Linux
/dev/hda3 25 591 4554427+ 8e Linux LVM
/dev/hda4 592 600 72292+ 5 Extended
/dev/hda5 592 600 72261 83 Linux 

pvcreate /dev/hda5

vgextend rootvg /dev/hda5
  Volume group "rootvg" successfully extended


but if the space is not enough and the
drives are changed to bigger drives
for example from 400 GB up to 800 GB Drives
i now have 400 GB unused space

and if i now wann create a partition
with this space i can´t create it

localhost:~ # fdisk /dev/hda

Command (m for help): n
No free sectors available

Command (m for help):


it never mind if i create

4 primary partitions

or

3 primary partitions
an
1 extened
with
1 logical partiton

i is the same problem with fdisk


how can i to transcribe the resize of the LVM partiton /dev/hda3 in this example ?


i tryed to use parted

Disk /dev/hda: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 652 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1               1          17      136521   82  Linux swap / Solaris
/dev/hda2   *          18          24       56227+  83  Linux
/dev/hda3              25         591     4554427+  8e  Linux LVM
/dev/hda4             592         600       72292+   5  Extended
/dev/hda5             592         600       72261   83  Linux



Disk geometry for /dev/hda: 0kB - 5369MB
Disk label type: msdos
Number  Start   End     Size    Type      File system  Flags
1       32kB    140MB   140MB   primary   linux-swap   type=82
2       140MB   197MB   58MB    primary   ext3         boot, type=83
3       197MB   4861MB  4664MB  primary                lvm, type=8e
4       4861MB  4935MB  74MB    extended               type=05
5       4861MB  4935MB  74MB    logical                type=83

Using /dev/hda
(parted) resize 4 592 652
Error: Can't have overlapping partitions.
(parted)
Comment 2 Need Real Name 2006-09-20 06:48:36 EDT
sorry in better english, the same:

Situation:
LVM using hardware-RAID(200G total)

Problem:
Howto double the RAID-size (400G total) by disk exchange. 
I will use the same devicefile e.g. /dev/hda (then with 200 GB freespace)

Example 1: VMWware-simulation

original Raid (200G):
fdisk -l

Disk /dev/hda: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 601 cylinders Units = cylinders of 16065 * 512 =
8225280 bytes

Device Boot Start End Blocks Id System
/dev/hda1 1 17 136521 82 Linux swap / Solaris
/dev/hda2 * 18 24 56227+ 83 Linux
/dev/hda3 25 601 4634752+ 8e Linux LVM 

After exchange of one disk:

fdisk -l

Disk /dev/hda: 5368 MB, 5368709120 bytes
255 heads, 63 sectors/track, 652 cylinders Units = cylinders of 16065 * 512 =
8225280 bytes

Device Boot Start End Blocks Id System
/dev/hda1 1 17 136521 82 Linux swap / Solaris
/dev/hda2 * 18 24 56227+ 83 Linux
/dev/hda3 25 591 4554427+ 8e Linux LVM
/dev/hda4 592 601 72292+ 5 Extended
/dev/hda5 592 601 72261 83 Linux 

Now I can create a partition using the new freespace (51 cylinders) 
pvcreate /dev/hda5

vgextend rootvg /dev/hda5

Volume group "rootvg" successfully extended

So, example 1 in the VMWare is fine.

Example 2: the real RAID

fdisk /dev/hda

Command (m for help): n
No free sectors available

There is no different result either I create 4 primary partitions or 3 primary
partitions and 1 extened
containing 1 logical partiton.

How to resize partiton /dev/hda3 in this example ?

 
Comment 3 Petr Rockai 2006-11-09 07:00:43 EST
You have to remove the extended partition and create a bigger one, the DOS 
partition table cannot hold more than 4 entries and all "logical" partitions 
have to fit within the "extended" one, so if there's no slot for a new primary 
partition and the extended one is full, fdisk gives the above confusing error.

Note You need to log in before you can comment on or make changes to this bug.